<template>
      <div class="container">
        <div class="title">账号密码登录</div>
        <div class="line"></div>
        <el-form
          :model="loginForm"
          :rules="loginFormRules"
          ref="loginFormRef"
          class="demo-ruleForm"
        >
          <el-form-item prop="phone">
            <img
              class="img_l"
              src="../../../assets/img/login/username.png"
              alt=""
            />
            <el-input
              v-model="loginForm.phone"
              placeholder="请输入手机号"
              maxlength="20"
            ></el-input>
          </el-form-item>
          <el-form-item prop="password">
            <img
              class="img_l"
              src="../../../assets/img/login/password.png"
              alt=""
            />
            <el-input
              v-model="loginForm.password"
              :type="isShowPwd ? 'password' : 'text'"
              maxlength="20"
              placeholder="请输入密码"
            ></el-input>
            <img
              @click="changePwdStatus()"
              v-if="!isShowPwd"
              class="img_r"
              src="../../../assets/img/login/eye01.png"
              alt=""
            />
            <img
              @click="changePwdStatus()"
              v-if="isShowPwd"
              class="img_r"
              src="../../../assets/img/login/eye01.png"
              alt=""
            />
          </el-form-item>
          <el-form-item style="margin: 40px 0 0 0"></el-form-item>
          <el-form-item>
            <el-button @click="submitForm()">登 录</el-button>
          </el-form-item>
          <div class="box">
            <div class="fr" @click="register()">还没有账号？立即注册</div>
            <div class="fl" @click="forgetPwd()">忘记密码？</div>
          </div>
        </el-form>
      </div>
</template>

<script>
/* eslint-disable */
import { login } from "r/index/login";
import { mobileCheck } from "@/common/utils.js";

export default {
  name: "index-login",
  data() {
    return {
      isShowPwd: true, // 控制密码显示隐藏
      loginForm: {
        phone: "",
        password: "",
      },
      // 表单验证规则对象
      loginFormRules: {
        // 对手机号进行校验
        phone: [
          { required: true, message: "请输入手机号", trigger: "blur" },
          {
            validator: function (rule, value, callback) {
              if (mobileCheck(value) === false) {
                callback(new Error("请输入正确的手机号"));
              } else {
                callback();
              }
            },
            trigger: "blur",
          },
        ],
        // 对密码进行校验
        password: [
          {
            required: true,
            message: "请输入密码",
            transform: (value) => value,
            trigger: "blur",
          },
          {
            type: "string",
            message: "请输入不包含空格的字符",
            trigger: "blur",
            transform(value) {
              if (value && value.indexOf(" ") === -1) {
                return value;
              } else {
                return false;
              }
            },
          },
          {
            trigger: "blur",
            validator: (rule, value, callback) => {
              var passwordreg = /^[a-zA-Z0-9]{6,12}$/;
              // /(?=.*\d)(?=.*[a-zA-Z]).{6,12}/;
              if (!passwordreg.test(value)) {
                callback(new Error("请输入6-12位，包含数字/字母,"));
              } else {
                callback();
              }
            },
          },
        ],
      },



    };
  },
  created() {
    this.$emit("getStatus", false);
  },
  methods: {
    // 忘记账号/密码
    forgetPwd() {
      let code = localStorage.getItem("index-identity");
      this.$router.push("/reset?code="+code);
    },

    // 去注册
    register() {
      let code = localStorage.getItem("index-identity");
      this.$router.push("/register?code="+code);
    },
    // 改变密码显示状态
    changePwdStatus() {
      this.isShowPwd = !this.isShowPwd;
    },
    // 登录
    submitForm() {
      this.$refs["loginFormRef"].validate((valid) => {
        if (!valid) return;
        login({
          phone: this.loginForm.phone,
          password: this.loginForm.password,
        }).then((res) => {
          console.log(res, "login");
          if (res.data.code != 200) {
            return this.$message.error(res.data.message);
          }
          this.$message.success("登录成功");
          // token存储
          window.localStorage.setItem("index-token", res.data.token);
          window.localStorage.setItem("phone", this.loginForm.phone);
          // 报名信息
          window.localStorage.setItem("camp_name", res.data.cam.name);
          //获取主题色
          window.localStorage.setItem(
            "system_color",
            res.data.cam.system_color
          );
          // 跳转到报名
          let code = localStorage.getItem("index-identity");
          this.$router.push("/signUp/examInfo?code="+code);
        });
      });
    },
  },
};
</script>

<style scoped lang="scss">
.container {
  background: #ffffff;
  box-shadow: 0px 1px 18px 0px rgba(0, 0, 0, 0.06);
  border-radius: 8px;
  padding: 40px 60px;
  margin-top: 0;
  overflow: hidden;
  .title {
    margin: 19px 0 6px 0;
    width: 132px;
    height: 20px;
    font-size: 22px;
    font-weight: 500;
    color: var(--color);
    line-height: 20px;
  }
  .line {
    width: 125px;
    height: 3px;
    background: var(--color);
    border-radius: 2px;
  }
  .el-form {
    margin-top: 60px;
    .el-form-item {
      position: relative;
      margin-bottom: 30px;
      &:last-child {
        margin: 0;
      }

      img.img_l {
        position: absolute;
        left: 25px;
        top: 50%;
        transform: translate(-50%, -50%);
        z-index: 1000;
      }
      img.img_r {
        position: absolute;
        right: 15px;
        top: 50%;
        transform: translate(0, -50%);
        z-index: 1000;
      }
      ::v-deep .el-input__inner {
        height: 50px;
        line-height: 50px;
        padding: 0 10px 0 50px;
        border-radius: 0;
        color: #4d4d4d;
        border: 0;
        border-bottom: 2px solid #d9d9d9;
        &:focus {
          border-bottom-color: var(--color);
        }
      }
      ::v-deep .el-form-item__error {
        color: #e0823d;
      }
      .el-button {
        width: 100%;
        height: 60px;
        background: var(--color);
        border-radius: 4px;
        opacity: 0.8;
        line-height: 50px;
        text-align: center;
        color: #fff;
        font-size: 16px;
        padding: 0;
        margin: 30px 0 0 0;
      }
    }
    .box {
      height: 18px;
      display: block;
      .fl {
        float: right;
        height: 18px;
        line-height: 18px;
        color: #999999;
        margin-top: -10px;
        cursor: pointer;
        &:hover {
          color: #563279;
          text-decoration: underline;
        }
      }
      .fr {
        float: left;
        height: 18px;
        line-height: 18px;
        color: #999999;
        margin-top: -10px;
        cursor: pointer;
        &:hover {
          color: #563279;
          text-decoration: underline;
        }
      }
    }
  }
}
</style>
